--INIT.LUA--

local mod = {
	id = "xen_GravBombers",
	name = "Gravity Bombers Squad",
	version = "WIP3",
	modApiVersion = "2.4.0",
	icon = "img/mod_icon.png",
	requirements = {}
}

function mod:init()
	local scriptPath = self.scriptPath
	local resourcePath = self.resourcePath
	
	self.modApiExt = require(scriptPath .."modApiExt/modApiExt")
	self.modApiExt:init()
	
	self.pawns = require(self.scriptPath.."pawns")
	self.weapons = require(self.scriptPath.."weapons")
	
	self.pawns:init(self)
	self.weapons:init(self)
	
	modApi:appendAsset("img/combat/tile_icon/xen_tile_debuff.png",self.resourcePath.."img/tile_debuff.png")
	modApi:appendAsset("img/weapons/xen_weapon_prime_throw.png",self.resourcePath.."img/weapon_prime_throw.png")
	modApi:appendAsset("img/weapons/xen_weapon_ranged_mechlauncher.png",self.resourcePath.."img/weapon_ranged_mechlauncher.png")
	modApi:appendAsset("img/weapons/xen_weapon_science_recall.png",self.resourcePath.."img/weapon_science_recall.png")
	modApi:appendAsset("img/weapons/xen_weapon_passive_nullzone.png",self.resourcePath.."img/weapon_passive_nullzone.png")
	
	require(scriptPath .."achievements/init")
	require(scriptPath .."achievements")
	require(scriptPath .."achievementTriggers"):init(options)	
	local achvApi = require(scriptPath .."/achievements/api")	
	
	local shop = require(self.scriptPath .."shop")
	shop:addWeapon({
		id = "xen_Prime_Yeet",
		name = xen_Prime_Yeet.Name .. " can be found",
		desc = "Adds Prime Throw to the store and equipment drop pool.",
	})
	shop:addWeapon({
		id = "xen_Ranged_CrushArtillery",
		name = xen_Ranged_CrushArtillery.Name .. " can be found",
		desc = "Adds Mech-Launcher to the store and equipment drop pool.",
	})
	shop:addWeapon({
		id = "xen_Science_RecallTeleporter",
		name = xen_Science_RecallTeleporter.Name .. " can be found",
		desc = "Adds Recall Teleporter to the store and equipment drop pool.",
	})
	shop:addWeapon({
		id = "xen_Passive_NullZone",
		name = "Passive: " .. xen_Passive_NullZone.Name .. " can be found",
		desc = "Adds Passive: Dampening Field to the store and equipment drop pool.",
	})
end

function mod:load(options, version)
	local scriptPath = self.scriptPath
	self.modApiExt:load(self, options, version)
	self.weapons:load(self.modApiExt)

	modApi:addSquad(
	{
		"Gravity Bombers",
		"xen_ThrowMech", 
		"xen_HeavyMech", 
		"xen_AssistMech"
	}, 
		"Gravity Bombers", 
		"This squad throws thousands of tonnes of metal and vek skywards...and gravity does the rest.", 
		self.resourcePath .. "img/mod_icon.png"
	)
	
	require(self.scriptPath .."shop"):load(options)
	require(scriptPath .."achievementTriggers"):load(self)	
	
end

return mod